Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.repository.beans
Class MondrianXmlaDefinitionBean

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.repository.beans.ResourceBean
          com.jaspersoft.jasperserver.export.modules.repository.beans.MondrianXmlaDefinitionBean

    public class MondrianXmlaDefinitionBean

extends ResourceBean

Version:
  $Id: MondrianXmlaDefinitionBean.java 8408 2007-05-29 23:29:12Z melih $
Author:
  tkavanagh

Constructor Summary
`MondrianXmlaDefinitionBean()`

Method Summary
`protected void` | `additionalCopyFrom(Resource res, ResourceExportHandler exportHandler)`
`protected void` | `additionalCopyTo(Resource res, ResourceImportHandler importHandler)`
`java.lang.String` | `getCatalog()`
`ResourceReferenceBean` | `getMondrianConnection()`
`void` | `setCatalog(java.lang.String catalog)`
`void` | `setMondrianConnection(ResourceReferenceBean mondrianConnection)`

Methods inherited from class com.jaspersoft.jasperserver.export.modules.repository.beans.ResourceBean
`copyFrom, copyTo, getCreationDate, getDescription, getFolder, getLabel, getName, getPermissions, getVersion, handleReferences, handleReferences, setCreationDate, setDescription, setFolder, setLabel, setName, setPermissions, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MondrianXmlaDefinitionBean

    public MondrianXmlaDefinitionBean()

Method Detail

### additionalCopyFrom

    protected void additionalCopyFrom(Resource res,
                                      ResourceExportHandler exportHandler)

  Specified by:
    `additionalCopyFrom` in class `ResourceBean`

### additionalCopyTo

    protected void additionalCopyTo(Resource res,
                                    ResourceImportHandler importHandler)

  Specified by:
    `additionalCopyTo` in class `ResourceBean`

### getCatalog

    public java.lang.String getCatalog()

### setCatalog

    public void setCatalog(java.lang.String catalog)

### getMondrianConnection

    public ResourceReferenceBean getMondrianConnection()

### setMondrianConnection

    public void setMondrianConnection(ResourceReferenceBean mondrianConnection)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.